AurionAI Docs
Api

Update Voice Widget Config

Update tenant-scoped configuration for externally embedded voice widget.

PUT
/api/v1/voice-widget/config

Update tenant-scoped configuration for externally embedded voice widget.

X-API-Key<token>

In: header

Request Body

application/json

Response Body

application/json

application/json

curl -X PUT "https://apps.aurionai.net/api/v1/voice-widget/config" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "display_title": "string",    "launcher_label": "string"  }'
{
  "enabled": true,
  "allowed_origins": [
    "string"
  ],
  "launcher_position": "bottom-right",
  "display_title": "string",
  "launcher_label": "string",
  "accent_theme": "blue",
  "logo_url": "string",
  "primary_color": "string",
  "accent_color": "string",
  "welcome_text": "string",
  "launcher_bubble_message": "string",
  "show_powered_by": true,
  "sso_auto_login": true,
  "theme": "light",
  "quick_actions_enabled": true,
  "display_title_translations": {
    "property1": "string",
    "property2": "string"
  },
  "launcher_label_translations": {
    "property1": "string",
    "property2": "string"
  },
  "welcome_text_translations": {
    "property1": "string",
    "property2": "string"
  },
  "launcher_bubble_message_translations": {
    "property1": "string",
    "property2": "string"
  },
  "public_widget_key": "string",
  "embed_script_url": "string",
  "embed_snippet": "string",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}